summaryrefslogtreecommitdiff
path: root/src/tests/mandb-empty-page
diff options
context:
space:
mode:
Diffstat (limited to 'src/tests/mandb-empty-page')
-rwxr-xr-xsrc/tests/mandb-empty-page12
1 files changed, 5 insertions, 7 deletions
diff --git a/src/tests/mandb-empty-page b/src/tests/mandb-empty-page
index 88e6ad0b..66bdf74f 100755
--- a/src/tests/mandb-empty-page
+++ b/src/tests/mandb-empty-page
@@ -3,28 +3,26 @@
# Test handling of empty files.
# https://bugs.debian.org/622104
-: ${srcdir=.}
+: "${srcdir=.}"
+# shellcheck source-path=SCRIPTDIR
. "$srcdir/testlib.sh"
-: ${MANDB=mandb}
+: "${MANDB=mandb}"
init
fake_config /usr/share/man /usr/X11R6/man
MANPATH="$tmpdir/usr/share/man"
export MANPATH
-db_ext="$(db_ext)"
mkdir -p "$tmpdir/usr/share/man/man1"
touch "$tmpdir/usr/share/man/man1/empty.1"
gzip -9 "$tmpdir/usr/share/man/man1/empty.1"
run $MANDB -C "$tmpdir/manpath.config" -u -q "$tmpdir/usr/share/man"
-# $? is deliberately expanded here.
-expect_pass 'empty page' "test $? -eq 0"
+report 'empty page' "$?"
./fspause
ln -s empty.1.gz "$tmpdir/usr/share/man/man1/empty2.1.gz"
run $MANDB -C "$tmpdir/manpath.config" -u -q "$tmpdir/usr/share/man"
-# $? is deliberately expanded here.
-expect_pass 'symlink to empty page' "test $? -eq 0"
+report 'symlink to empty page' "$?"
finish